Skip to content

Facts about the box

GET
/system
curl --request GET \
--url http://127.0.0.1:7700/api/system \
--header 'Authorization: Bearer <token>'

The product, edition, version and build, hostname, time zone, network, box id and name, owner, start time and uptime. For first-run setup and Settings.

The facts.

Media typeapplication/json
object
product
string
edition
string
Allowed values: server personal business
editionName
string
version
string
build

The commit that was installed

string
hostname
string
timezone
string
network
object
online
boolean
interfaces
Array<object>
object
name
string
address
string
mac
string
boxId
string
boxName
string
owner
string | null
startedAt
string format: date-time
uptimeSec
integer

Example

{
"product": "GurtOS",
"edition": "server",
"editionName": "GurtOS Server",
"hostname": "gurt-3f9a1c"
}

GurtOS is open source under the Apache License 2.0.Source code on GitHub.